# Class MarketPriceRequest

#### Hierarchy

- unknown
  - MarketPriceRequest

- Defined in src/protobuf/grpc_pb.d.ts:2142
- Defined in src/protobuf/grpc_pb.d.ts:2154

#####
Index

### Constructors

constructor

### Methods

getCurrencyCode
serializeBinary
setCurrencyCode
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new MarketPriceRequest(): MarketPriceRequest

- #### Returns MarketPriceRequest

  Inherited from jspb.Message.constructor

## Methods

### getCurrencyCode

- getCurrencyCode(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2143

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2146

### setCurrencyCode

- setCurrencyCode(value: string): MarketPriceRequest

- #### Parameters

  - ##### value: string

  #### Returns MarketPriceRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2144

### toObject

- toObject(includeInstance?: boolean): MarketPriceRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns MarketPriceRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2147

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): MarketPriceRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MarketPriceRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2150

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MarketPriceRequest, reader: BinaryReader): MarketPriceRequest

- #### Parameters

  - ##### message: MarketPriceRequest

  - ##### reader: BinaryReader

  #### Returns MarketPriceRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2151

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: MarketPriceRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: MarketPriceRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2149

### `Static` toObject

- toObject(includeInstance: boolean, msg: MarketPriceRequest): MarketPriceRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MarketPriceRequest

  #### Returns MarketPriceRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2148

Generated using TypeDoc